#pragma once

#include <concepts>
#include <functional>

namespace snoop {


template<typename T>
concept AudioEncoderConcept = requires( T encoder, int sampleRate, int channels, int framesPerBuffer, std::function<int( const char*, size_t )> callback )
{
    T( sampleRate, channels, framesPerBuffer, callback );
};


}